org.apache.activemq.artemis.spi.core.security

## Class ActiveMQSecurityManagerImpl

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.security.ActiveMQSecurityManagerImpl

- All Implemented Interfaces:
    ActiveMQSecurityManager

  Deprecated.

      @Deprecated
      public class ActiveMQSecurityManagerImpl
      extends Object
      implements ActiveMQSecurityManager

  A basic implementation of the ActiveMQSecurityManager. This can be used within an appserver and be deployed by BasicUserCredentialsDeployer or used standalone or embedded.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQSecurityManagerImpl()` Deprecated.
    `ActiveMQSecurityManagerImpl(org.apache.activemq.artemis.core.config.impl.SecurityConfiguration configuration)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.activemq.artemis.core.config.impl.SecurityConfiguration` | `getConfiguration()` Deprecated.
    `boolean` | `validateUser(String username, String password)` Deprecated. is this a valid user.
    `boolean` | `validateUserAndRole(String user, String password, Set<org.apache.activemq.artemis.core.security.Role> roles, org.apache.activemq.artemis.core.security.CheckType checkType)` Deprecated. is this a valid user and do they have the correct role

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveMQSecurityManagerImpl

          public ActiveMQSecurityManagerImpl()

      Deprecated.

    - #### ActiveMQSecurityManagerImpl

          public ActiveMQSecurityManagerImpl(org.apache.activemq.artemis.core.config.impl.SecurityConfiguration configuration)

      Deprecated.

  - ### Method Detail

    - #### validateUser

          public boolean validateUser(String username,
                                      String password)

      Deprecated.
      Description copied from interface: `ActiveMQSecurityManager`
      is this a valid user.
      Specified by:
        `validateUser` in interface `ActiveMQSecurityManager`
      Parameters:
        `username` - the user
        `password` - the users password
      Returns:
        true if a valid user

    - #### validateUserAndRole

          public boolean validateUserAndRole(String user,
                                             String password,
                                             Set<org.apache.activemq.artemis.core.security.Role> roles,
                                             org.apache.activemq.artemis.core.security.CheckType checkType)

      Deprecated.
      Description copied from interface: `ActiveMQSecurityManager`
      is this a valid user and do they have the correct role
      Specified by:
        `validateUserAndRole` in interface `ActiveMQSecurityManager`
      Parameters:
        `user` - the user
        `password` - the users password
        `roles` - the roles the user has
        `checkType` - the type of check to perform
      Returns:
        true if the user is valid and they have the correct roles

    - #### getConfiguration

          public org.apache.activemq.artemis.core.config.impl.SecurityConfiguration getConfiguration()

      Deprecated.

Copyright © 2017 The Apache Software Foundation. All rights reserved.